Browser security TLS Error - Page Can't Be Displayed

Problem

When trying to access a website, instead get Error: "This page can't be displayed - Turn on TLS 1.0, TLS 1.1, and TLS 1.2 in Advanced Settings and try connecting again."

Internet Explorer Error box - This page can't be displayed.  Turn on TLS 1.0, TLS 1.1, and TLS 1.2 in Advanced settings and try connecting again.

Solution

Older TLS support for many web pages ended in June 2018. Web browsers need to be up-to-date to display pages with newer TLS security settings.

To quickly test for TLS 1.1 and TLS 1.2 compatibility, open test page: https://tls1test.salesforce.com/s/ . If you see a green page that says something like "TLS 1.0 Deactivation Test Passed", then your web browser is already compatible with newer TLS security levels.

If you are using Internet Explorer, go to Internet Options (under the gear in the upper right) > Advanced Tab. Scroll down to the "Security" section and check the boxes for TLS 1.1 and TLS 1.2. You may or may not need TLS 1.0, depending on the specific web site you are trying to reach. Apply the setting change and click OK.

Instructions for a wide range of browsers and operating systems is also available from SalesForce: Enabling TLS 1.1 and TLS 1.2 in Internet Explorer

Details

Article ID: 1255
Created
Fri 7/19/19 5:57 PM
Modified
Tue 10/29/19 6:44 PM